import svelte from 'rollup-plugin-svelte';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import { terser } from 'rollup-plugin-terser';

export default {
  input: 'src/index.js',
  output: [
    {
      file: 'dist/aldea.esm.js',
      format: 'es',
      sourcemap: true,
    }
  ],
  plugins: [
    svelte({
      emitCss: false,
    }),
    resolve(),
    commonjs(),
    terser(),
  ]
};